http://www.perlmonks.org?node_id=876025


in reply to SOAP call tweaks required

I've been saying this over and over, so here it goes again.

SOAP::Lite should only be seen as an archeological module. It doesn't implement any of SOAP current uses. SOAP-Encoding should be considered deprecated (it's even removed from newer SOAP spec). XML::Compile::SOAP implements correct SOAP semantics. You can use SOAP::Simple to reduce the code overhead.

daniel